<?xml version="1.0" encoding="UTF-8"?>
<ui version="4.0">
 <class>screen::DeviceControl</class>
 <widget class="QWidget" name="screen::DeviceControl">
  <property name="geometry">
   <rect>
    <x>0</x>
    <y>0</y>
    <width>535</width>
    <height>374</height>
   </rect>
  </property>
  <property name="windowTitle">
   <string>Device Actions</string>
  </property>
  <property name="windowIcon">
   <iconset theme="visibility"/>
  </property>
  <layout class="QHBoxLayout" name="horizontalLayout">
   <item>
    <widget class="QTabWidget" name="tabWidget">
     <property name="currentIndex">
      <number>0</number>
     </property>
     <widget class="QWidget" name="commands">
      <attribute name="title">
       <string notr="true">Device Commands</string>
      </attribute>
      <layout class="QGridLayout" name="gridLayout">
       <item row="0" column="2">
        <widget class="QPushButton" name="b_ping">
         <property name="minimumSize">
          <size>
           <width>0</width>
           <height>100</height>
          </size>
         </property>
         <property name="font">
          <font>
           <pointsize>14</pointsize>
          </font>
         </property>
         <property name="text">
          <string notr="true">Ping</string>
         </property>
         <property name="icon">
          <iconset theme="edit-link" resource="../../resources/icons/silk.qrc">
           <normaloff>:/silk/icons/link.png</normaloff>:/silk/icons/link.png</iconset>
         </property>
         <property name="iconSize">
          <size>
           <width>32</width>
           <height>32</height>
          </size>
         </property>
        </widget>
       </item>
       <item row="0" column="3">
        <widget class="QPushButton" name="b_gotoBoot">
         <property name="enabled">
          <bool>false</bool>
         </property>
         <property name="minimumSize">
          <size>
           <width>0</width>
           <height>100</height>
          </size>
         </property>
         <property name="font">
          <font>
           <pointsize>14</pointsize>
          </font>
         </property>
         <property name="text">
          <string notr="true">Go to boot mode</string>
         </property>
         <property name="icon">
          <iconset theme="new-command-alarm" resource="../../resources/icons/silk.qrc">
           <normaloff>:/silk/icons/application_osx_terminal.png</normaloff>:/silk/icons/application_osx_terminal.png</iconset>
         </property>
         <property name="iconSize">
          <size>
           <width>32</width>
           <height>32</height>
          </size>
         </property>
        </widget>
       </item>
       <item row="1" column="2">
        <widget class="QPushButton" name="b_hardReset">
         <property name="enabled">
          <bool>false</bool>
         </property>
         <property name="minimumSize">
          <size>
           <width>0</width>
           <height>100</height>
          </size>
         </property>
         <property name="font">
          <font>
           <pointsize>14</pointsize>
          </font>
         </property>
         <property name="text">
          <string notr="true">Hard reset</string>
         </property>
         <property name="icon">
          <iconset theme="system-reboot" resource="../../resources/icons/silk.qrc">
           <normaloff>:/silk/icons/asterisk_orange.png</normaloff>:/silk/icons/asterisk_orange.png</iconset>
         </property>
         <property name="iconSize">
          <size>
           <width>32</width>
           <height>32</height>
          </size>
         </property>
        </widget>
       </item>
       <item row="1" column="3">
        <widget class="QPushButton" name="b_softReset">
         <property name="minimumSize">
          <size>
           <width>0</width>
           <height>100</height>
          </size>
         </property>
         <property name="font">
          <font>
           <pointsize>14</pointsize>
          </font>
         </property>
         <property name="text">
          <string notr="true">Soft reset</string>
         </property>
         <property name="icon">
          <iconset theme="edit-reset" resource="../../resources/icons/silk.qrc">
           <normaloff>:/silk/icons/asterisk_yellow.png</normaloff>:/silk/icons/asterisk_yellow.png</iconset>
         </property>
         <property name="iconSize">
          <size>
           <width>32</width>
           <height>32</height>
          </size>
         </property>
        </widget>
       </item>
       <item row="2" column="2">
        <widget class="QPushButton" name="b_getError">
         <property name="enabled">
          <bool>true</bool>
         </property>
         <property name="minimumSize">
          <size>
           <width>0</width>
           <height>100</height>
          </size>
         </property>
         <property name="font">
          <font>
           <pointsize>14</pointsize>
          </font>
         </property>
         <property name="text">
          <string notr="true">Get last error</string>
         </property>
         <property name="icon">
          <iconset theme="dialog-error" resource="../../resources/icons/silk.qrc">
           <normaloff>:/silk/icons/error_go.png</normaloff>:/silk/icons/error_go.png</iconset>
         </property>
         <property name="iconSize">
          <size>
           <width>32</width>
           <height>32</height>
          </size>
         </property>
        </widget>
       </item>
       <item row="2" column="3">
        <widget class="QPushButton" name="b_resetError">
         <property name="minimumSize">
          <size>
           <width>0</width>
           <height>100</height>
          </size>
         </property>
         <property name="font">
          <font>
           <pointsize>14</pointsize>
          </font>
         </property>
         <property name="text">
          <string notr="true">Zerroize error</string>
         </property>
         <property name="icon">
          <iconset theme="edit-clear" resource="../../resources/icons/silk.qrc">
           <normaloff>:/silk/icons/error_delete.png</normaloff>:/silk/icons/error_delete.png</iconset>
         </property>
         <property name="iconSize">
          <size>
           <width>32</width>
           <height>32</height>
          </size>
         </property>
        </widget>
       </item>
      </layout>
     </widget>
     <widget class="QWidget" name="information">
      <attribute name="title">
       <string notr="true">Device Information</string>
      </attribute>
      <layout class="QVBoxLayout" name="verticalLayout">
       <item>
        <layout class="QHBoxLayout" name="horizontalLayout_2">
         <item>
          <widget class="QLabel" name="deviceIdLabel">
           <property name="minimumSize">
            <size>
             <width>150</width>
             <height>0</height>
            </size>
           </property>
           <property name="text">
            <string>Device ID</string>
           </property>
           <property name="buddy">
            <cstring>deviceIdLineEdit</cstring>
           </property>
          </widget>
         </item>
         <item>
          <widget class="QLineEdit" name="deviceIdLineEdit">
           <property name="sizePolicy">
            <sizepolicy hsizetype="Preferred" vsizetype="Fixed">
             <horstretch>0</horstretch>
             <verstretch>0</verstretch>
            </sizepolicy>
           </property>
           <property name="minimumSize">
            <size>
             <width>150</width>
             <height>0</height>
            </size>
           </property>
           <property name="inputMask">
            <string>HHHHHHHH;_</string>
           </property>
           <property name="placeholderText">
            <string notr="true">enter id</string>
           </property>
          </widget>
         </item>
         <item>
          <widget class="QPushButton" name="deviceIdButtonGenerate">
           <property name="text">
            <string notr="true">Generate</string>
           </property>
           <property name="icon">
            <iconset theme="accessories-calculator" resource="../../resources/icons/silk.qrc">
             <normaloff>:/silk/icons/calculator.png</normaloff>:/silk/icons/calculator.png</iconset>
           </property>
          </widget>
         </item>
         <item>
          <widget class="QPushButton" name="deviceIdButtonPush">
           <property name="text">
            <string>Push</string>
           </property>
           <property name="icon">
            <iconset theme="vcs-push" resource="../../resources/icons/silk.qrc">
             <normaloff>:/silk/icons/arrow_up.png</normaloff>:/silk/icons/arrow_up.png</iconset>
           </property>
          </widget>
         </item>
         <item>
          <spacer name="horizontalSpacer_2">
           <property name="orientation">
            <enum>Qt::Horizontal</enum>
           </property>
           <property name="sizeHint" stdset="0">
            <size>
             <width>40</width>
             <height>20</height>
            </size>
           </property>
          </spacer>
         </item>
        </layout>
       </item>
       <item>
        <layout class="QHBoxLayout" name="horizontalLayout_3">
         <item>
          <widget class="QLabel" name="firmwareRevisionLabel">
           <property name="minimumSize">
            <size>
             <width>150</width>
             <height>0</height>
            </size>
           </property>
           <property name="text">
            <string>Firmware revision</string>
           </property>
          </widget>
         </item>
         <item>
          <widget class="QLineEdit" name="firmwareRevisionLineEdit">
           <property name="sizePolicy">
            <sizepolicy hsizetype="Preferred" vsizetype="Fixed">
             <horstretch>0</horstretch>
             <verstretch>0</verstretch>
            </sizepolicy>
           </property>
           <property name="minimumSize">
            <size>
             <width>150</width>
             <height>0</height>
            </size>
           </property>
           <property name="readOnly">
            <bool>true</bool>
           </property>
          </widget>
         </item>
         <item>
          <spacer name="horizontalSpacer">
           <property name="orientation">
            <enum>Qt::Horizontal</enum>
           </property>
           <property name="sizeHint" stdset="0">
            <size>
             <width>40</width>
             <height>20</height>
            </size>
           </property>
          </spacer>
         </item>
        </layout>
       </item>
       <item>
        <spacer name="verticalSpacer">
         <property name="orientation">
          <enum>Qt::Vertical</enum>
         </property>
         <property name="sizeHint" stdset="0">
          <size>
           <width>0</width>
           <height>0</height>
          </size>
         </property>
        </spacer>
       </item>
      </layout>
     </widget>
    </widget>
   </item>
  </layout>
 </widget>
 <resources>
  <include location="../../resources/icons/silk.qrc"/>
 </resources>
 <connections/>
</ui>
